Package org.apache.uima.analysis_engine.annotator

# Class Annotator_ImplBase

java.lang.Object
org.apache.uima.analysis_engine.annotator.Annotator_ImplBase

All Implemented Interfaces:
  `BaseAnnotator`

Direct Known Subclasses:
  `GenericAnnotator_ImplBase`, `JTextAnnotator_ImplBase`

@Deprecated public abstract class Annotator_ImplBase extends Object implements BaseAnnotator
Deprecated.
As of release 2.3.0, use CasAnnotator_ImplBase or JCasAnnotator_ImplBase instead
Base class for annotators in UIMA SDK v1.x. As of v2.0, annotators should extend `CasAnnotator_ImplBase` or `JCasAnnotator_ImplBase`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Annotator_ImplBase()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Deprecated.
  This default implementation does nothing.
  `protected void`
  `finalize()`
  Deprecated.
  `protected AnnotatorContext`
  `getContext()`
  Deprecated.
  Gets the `AnnotatorContext` to be used by this Annotator.
  `protected TypeSystem`
  `getTypeSystem()`
  Deprecated.
  Gets the `TypeSystem` that was passed to the most recent call to `typeSystemInit(TypeSystem)`.
  `void`
  `initialize(AnnotatorContext aContext)`
  Deprecated.
  The only thing this implementation does is store the AnnotatorContext so that it can be accessed later via the `getContext()` method.
  `void`
  `reconfigure()`
  Deprecated.
  This default implementation calls `destroy()` followed by `initialize(AnnotatorContext)` and `typeSystemInit(TypeSystem)`.
  `void`
  `typeSystemInit(TypeSystem aTypeSystem)`
  Deprecated.
  The only thing this implementation does is store the TypeSystem so that it can be accessed by the `getTypeSystem()` method, and also so that it can be passed back to the `typeSystemInit(TypeSystem)` method by the default implementation of `reconfigure()`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Annotator_ImplBase

    public Annotator_ImplBase()
    Deprecated.

- ## Method Details

  - ### initialize

    public void initialize(AnnotatorContext aContext) throws AnnotatorInitializationException, AnnotatorConfigurationException
    Deprecated.
    The only thing this implementation does is store the AnnotatorContext so that it can be accessed later via the `getContext()` method.
    Specified by:
      `initialize` in interface `BaseAnnotator`
    Parameters:
      `aContext` - Provides access to external resources that may be used by this annotator. This includes configuration parameters, logging and instrumentation services, and access to external analysis resources.
    Throws:
      `AnnotatorInitializationException` - if the annotator cannot initialize itself.
      `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
    See Also:
      - `BaseAnnotator.initialize(org.apache.uima.analysis_engine.annotator.AnnotatorContext)`

  - ### typeSystemInit

    public void typeSystemInit(TypeSystem aTypeSystem) throws AnnotatorInitializationException, AnnotatorConfigurationException
    Deprecated.
    The only thing this implementation does is store the TypeSystem so that it can be accessed by the `getTypeSystem()` method, and also so that it can be passed back to the `typeSystemInit(TypeSystem)` method by the default implementation of `reconfigure()`.
    Specified by:
      `typeSystemInit` in interface `BaseAnnotator`
    Parameters:
      `aTypeSystem` - the new type system
    Throws:
      `AnnotatorInitializationException` - if the annotator cannot initialize itself.
      `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
    See Also:
      - `BaseAnnotator.typeSystemInit(org.apache.uima.cas.TypeSystem)`

  - ### destroy

    public void destroy()
    Deprecated.
    This default implementation does nothing.
    Specified by:
      `destroy` in interface `BaseAnnotator`
    See Also:
      - `BaseAnnotator.destroy()`

  - ### reconfigure

    public void reconfigure() throws AnnotatorConfigurationException, AnnotatorInitializationException
    Deprecated.
    This default implementation calls `destroy()` followed by `initialize(AnnotatorContext)` and `typeSystemInit(TypeSystem)`. The `typeSystemInit` method will be passed the last known TypeSystem.
    Specified by:
      `reconfigure` in interface `BaseAnnotator`
    Throws:
      `AnnotatorConfigurationException` - if the configuration specified for this annotator is invalid.
      `AnnotatorInitializationException` - if the annotator fails to reinitialize itself based on the new configuration.
    See Also:
      - `BaseAnnotator.reconfigure()`

  - ### getContext

    protected AnnotatorContext getContext()
    Deprecated.
    Gets the `AnnotatorContext` to be used by this Annotator. The `AnnotatorContext` provides access to external resources that may be used by this annotator. This includes configuration parameters, logging and instrumentation services, and access to text analysis resources.
    Returns:
      the Annotator Context

  - ### getTypeSystem

    protected TypeSystem getTypeSystem()
    Deprecated.
    Gets the `TypeSystem` that was passed to the most recent call to `typeSystemInit(TypeSystem)`.
    Returns:
      the Annotator Context

  - ### finalize

    protected void finalize() throws Throwable
    Deprecated.
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`